<?php


function registrar_namecheap_settings_form($form_state) {
  $form = array();

  $form['registrar_namecheap'] = array(
    '#type' => 'fieldset',
    '#title' => t('Namecheap Registrar Settings'),
  );

  $form['registrar_namecheap']['registrar_namecheap_uri'] = array(
    '#type' => 'textfield',
    '#title' => t('Namecheap Service URL'),
    '#default_value' => variable_get('registrar_namecheap_uri', 'https://api.sandbox.namecheap.com/xml.response'),
    '#description' => t("i.e. https://api.sandbox.namecheap.com/xml.response"),
    '#required' => TRUE,
  );

  $form['registrar_namecheap']['registrar_namecheap_api_key'] = array(
    '#type' => 'textfield',
    '#title' => t('Namecheap API key'),
    '#default_value' => variable_get('registrar_namecheap_api_key', ''),
    '#required' => TRUE,
  );

  $form['registrar_namecheap']['registrar_namecheap_api_user'] = array(
    '#type' => 'textfield',
    '#title' => t('Namecheap API User'),
    '#default_value' => variable_get('registrar_namecheap_api_user', ''),
    '#description' => t("This is usually your regular namecheap username"),
    '#required' => TRUE,
  );

  module_load_include('inc', 'registrar_api', 'registrar_api.admin');
  registrar_api_add_contacts_form($form, $form_state, 'namecheap');

  return system_settings_form($form);
}
